job-queue insert appears to fail for highly used templates
Closed, ResolvedPublic

Description

I just edited some highly used templates on Commons (among others, PD-old, used
about 30 thousand times, and PD-Art, used about 15 thousand times). When saving,
i got a "sorry we have a problem" error, but checking the template again showed
the edit went though. But looking at Special:Statistics, nothing went into the
job queue. This problem seems to occur consistently with highly used templates.

My guess is that the query used to find pages to update and/or insert them into
the queue takes too long and gets shot down. This problem defeats the purpose of
the job queue, IMHO...

It's critical to a project of mine that this works (see
http://commons.wikimedia.org/wiki/Commons:License_meta-tags is you like). But
also generally, this causes inconsistency in the database. Since we have this
feature, people have started relying on it...


Version: 1.7.x
Severity: major

bzimport added a project: MediaWiki-Templates.Via ConduitNov 21 2014, 9:11 PM
bzimport set Reference to bz5527.
daniel created this task.Via LegacyApr 10 2006, 8:26 PM
daniel added a comment.Via ConduitMay 1 2006, 11:54 PM

Until a good solution for this is found, it would be nice if at least the table
updates for the template itself would be commited before the job-queue insert is
attempted. That way, the template would at least show up in the right
categories, etc, even if pages including the template do not get re-parsed.

hashar added a comment.Via ConduitMay 25 2006, 2:08 PM

I got a "Zero Sized Reply" :/ on PD-old but the edit got through:
http://commons.wikimedia.org/w/index.php?title=Template:PD-old&diff=1999686&oldid=1775931

no dberror in our logs :(

aaron added a comment.Via ConduitSep 11 2008, 9:21 AM

The jobqueue should be populated (at least now), each job row is committed individually

aaron added a comment.Via ConduitSep 11 2008, 3:56 PM

OK, have a fix for this. I'll commit after some more testing.

aaron added a comment.Via ConduitSep 12 2008, 4:26 AM

Fixed in r40741

bzimport added a comment.Via ConduitSep 12 2008, 1:11 PM

ayg wrote:

Reverted by siebrand in r40472, caused division by zero.

bzimport added a comment.Via ConduitSep 12 2008, 1:12 PM

ayg wrote:

Er, r40742, that is.

bzimport added a comment.Via ConduitSep 12 2008, 1:15 PM

ayg wrote:

But it was re-reverted by Aaron in r40745, so I discover once again that I should read through *all* my e-mail before believing any of it. :P

bzimport added a comment.Via ConduitMay 8 2009, 3:22 PM

brad9626 wrote:

How come this is marked as FIXED? It's still a problem on Commons. Is the fix in a newer version?

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.